For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETReturns all projects.
      • POSTCreates a new project.
      • POSTEdits multiple projects using the specified operation.
      • GETReturns the project with the specified key.
      • GETReturns the project with the specified id.
      • PUTUpdates the project with the specified id.
      • POSTChanges the project type of the project with the specified id.
      • POSTChanges the status of the project with the specified id.
      • POSTDeletes the project with the specified id.
      • GETReturns the project members of the project with the specified id.
      • POSTRemoves a project member from the project with the specified id.
      • POSTUpdates the project key for the specified project and all associated task identifiers.
      • POSTUpdates the order of a project status.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProjects

Changes the project type of the project with the specified id.

POST
https://api.awork.com/api/v1/projects/:projectId/changeprojecttype
POST
/api/v1/projects/:projectId/changeprojecttype
$curl -X POST https://api.awork.com/api/v1/projects/projectId/changeprojecttype \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "projectTypeId": "123e4567-e89b-12d3-a456-426614174000"
>}'
Changes the project type of the project with the specified id. <Check title="Required Permissions" icon="key">The user has to be the creator of the project or needs `write` permissions of the feature `project-master-data`.</Check>
Was this page helpful?
Previous

Changes the status of the project with the specified id.

Next
Built with

Changes the project type of the project with the specified id.

Required Permissions
The user has to be the creator of the project or needs write permissions of the feature project-master-data.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The id of the project.

Request

The model to change the project type.
projectTypeIdstringRequiredformat: "uuid"
The id of the project type to change to.

Response

No Content

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error